aboutsummaryrefslogtreecommitdiffstats
path: root/target/linux/ipq40xx/base-files
diff options
context:
space:
mode:
Diffstat (limited to 'target/linux/ipq40xx/base-files')
-rw-r--r--target/linux/ipq40xx/base-files/lib/upgrade/platform.sh34
1 files changed, 11 insertions, 23 deletions
diff --git a/target/linux/ipq40xx/base-files/lib/upgrade/platform.sh b/target/linux/ipq40xx/base-files/lib/upgrade/platform.sh
index a5e39c280c..dac773d2fe 100644
--- a/target/linux/ipq40xx/base-files/lib/upgrade/platform.sh
+++ b/target/linux/ipq40xx/base-files/lib/upgrade/platform.sh
@@ -47,12 +47,22 @@ zyxel_do_upgrade() {
platform_do_upgrade() {
case "$(board_name)" in
8dev,jalapeno |\
- alfa-network,ap120c-ac |\
avm,fritzbox-7530 |\
avm,fritzrepeater-3000 |\
qxwlan,e2600ac-c2)
nand_do_upgrade "$1"
;;
+ alfa-network,ap120c-ac)
+ part="$(awk -F 'ubi.mtd=' '{printf $2}' /proc/cmdline | sed -e 's/ .*$//')"
+ if [ "$part" = "rootfs1" ]; then
+ fw_setenv active 2 || exit 1
+ CI_UBIPART="rootfs2"
+ else
+ fw_setenv active 1 || exit 1
+ CI_UBIPART="rootfs1"
+ fi
+ nand_do_upgrade "$1"
+ ;;
asus,map-ac2200)
CI_KERNPART="linux"
nand_do_upgrade "$1"
@@ -83,25 +93,3 @@ platform_do_upgrade() {
;;
esac
}
-
-platform_nand_pre_upgrade() {
- case "$(board_name)" in
- alfa-network,ap120c-ac)
- part="$(awk -F 'ubi.mtd=' '{printf $2}' /proc/cmdline | sed -e 's/ .*$//')"
- if [ "$part" = "rootfs1" ]; then
- fw_setenv active 2 || exit 1
- CI_UBIPART="rootfs2"
- else
- fw_setenv active 1 || exit 1
- CI_UBIPART="rootfs1"
- fi
- ;;
- asus,rt-ac58u)
- CI_UBIPART="UBI_DEV"
- CI_KERNPART="linux"
- ;;
- meraki,mr33)
- CI_KERNPART="part.safe"
- ;;
- esac
-}